import { AppFactory } from '@adonisjs/application/test_factories/app';
import { EncryptionFactory } from '@adonisjs/encryption/test_factories/encryption';
import { Router } from '../src/router/main.js';
import { QsParserFactory } from './qs_parser_factory.js';
export class RouterFactory {
    #parameters = {};
    #getApp() {
        return this.#parameters.app || new AppFactory().create(new URL('./app/', import.meta.url));
    }
    #createEncryption() {
        return this.#parameters.encryption || new EncryptionFactory().create();
    }
    merge(params) {
        Object.assign(this.#parameters, params);
        return this;
    }
    create() {
        return new Router(this.#getApp(), this.#createEncryption(), new QsParserFactory().create());
    }
}
